> ## Documentation Index
> Fetch the complete documentation index at: https://docs.onswitch.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Confirm deposit

> Manually confirm a payment deposit.



## OpenAPI

````yaml /openapi.json post /payment/confirm
openapi: 3.0.3
info:
  title: Receive stablecoin. Get fiat in seconds.
  description: Stablecoin collection and settlement layer.
  version: 1.0.0
  contact:
    name: Switch Labs
    email: contact@onswitch.xyz
  license:
    name: Proprietary
  x-tagGroups:
    - name: Institution
      tags:
        - Institution
    - name: Miscellaneous
      tags:
        - Miscellaneous
    - name: History
      tags:
        - History
    - name: Payment
      tags:
        - Payment
    - name: Webhook
      tags:
        - Webhook
    - name: Offramp
      tags:
        - Offramp
    - name: Onramp
      tags:
        - Onramp
    - name: Swap
      tags:
        - Swap
    - name: Developer
      tags:
        - Developer
    - name: Wallet
      tags:
        - Wallet
    - name: Compliance
      tags:
        - Compliance
servers:
  - url: https://api.onswitch.xyz
    description: Production server
security: []
tags:
  - name: Institution
    description: Institution discovery and bank or payment-rail lookup
  - name: Miscellaneous
    description: Requirements, coverage, assets, confirmation, and transaction status
  - name: History
    description: Payment history and summaries for the partner's account
  - name: Payment
    description: Saved payment beneficiaries, payment confirmation, and status
  - name: Webhook
    description: Webhook delivery history and callback resend
  - name: Offramp
    description: Offramp transaction endpoints for converting stablecoins to local currency
  - name: Onramp
    description: Onramp transaction endpoints for converting local currency to stablecoins
  - name: Swap
    description: Swap endpoints for exchanging between different stablecoin assets
  - name: Developer
    description: Developer fee balance and withdrawal
  - name: Wallet
    description: >-
      Wallet endpoints for creating and managing chain abstracted stablecoin
      wallets
  - name: Compliance
    description: AML compliance screening for PEP, sanctions, and other regulatory reasons
paths:
  /payment/confirm:
    post:
      tags:
        - Payment
      summary: Confirm deposit
      description: Manually confirm a payment deposit.
      operationId: confirmPayment
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - reference
              properties:
                reference:
                  type: string
                  format: uuid
                  description: The unique transaction reference identifier
                  example: a3f9c2e1-7b4d-4a8e-9c62-1d8f4e6b2a90
                hash:
                  type: string
                  description: >
                    Blockchain transaction hash for the deposit.

                    **Required when confirming OFFRAMP payments**, optional for
                    other payment types.
                  example: >-
                    0x9be818c30cbe52dc3b36f05e631f0de74542967054d0821dc8bd660ba9c2de7e
            example:
              reference: a3f9c2e1-7b4d-4a8e-9c62-1d8f4e6b2a90
              hash: >-
                0x9be818c30cbe52dc3b36f05e631f0de74542967054d0821dc8bd660ba9c2de7e
      responses:
        '200':
          description: Payment confirmed successfully
          content:
            application/json:
              schema:
                type: object
                required:
                  - success
                  - status
                  - message
                  - timestamp
                  - data
                properties:
                  success:
                    type: boolean
                  status:
                    type: integer
                  message:
                    type: string
                  timestamp:
                    type: string
                    format: date-time
                  data:
                    type: object
                    properties:
                      reference:
                        type: string
                        format: uuid
                      status:
                        type: string
                        enum:
                          - AWAITING_DEPOSIT
                          - PROCESSING
                          - COMPLETED
                          - FAILED
              example:
                success: true
                status: 200
                message: Payment confirmed successfully
                timestamp: '2026-04-18T14:22:08.631Z'
                data:
                  reference: a3f9c2e1-7b4d-4a8e-9c62-1d8f4e6b2a90
                  status: PROCESSING
        '400':
          $ref: '#/components/responses/BadRequest'
      security:
        - ServiceKey: []
components:
  responses:
    BadRequest:
      description: Bad request - Invalid input parameters or validation error
      content:
        application/json:
          schema:
            type: object
            required:
              - success
              - message
              - timestamp
            properties:
              success:
                type: boolean
                example: false
              message:
                type: string
                description: Error message describing what went wrong
              timestamp:
                type: string
                format: date-time
              data:
                description: Additional error details
                nullable: true
          example:
            success: false
            message: amount must be greater than 0 for the selected corridor
            timestamp: '2026-04-18T14:22:08.631Z'
            data: null
  securitySchemes:
    ServiceKey:
      type: apiKey
      in: header
      name: x-service-key
      description: Service key for API authentication

````